"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ContentTypes = void 0;
exports.renderComponent = renderComponent;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _react = _interopRequireWildcard(require("react"));
var _richTextReactRenderer = require("@contentful/rich-text-react-renderer");
var _renderRichText = _interopRequireDefault(require("./renderRichText"));
var _reactHookForm = require("react-hook-form");
var _axios = _interopRequireDefault(require("axios"));
var _lawCentresDesignSystem = require("law-centres-design-system");
var _react2 = require("@chakra-ui/react");
var _excluded = ["node"],
  _excluded2 = ["node"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var ContentTypes = {
  webform: function webform(content, context, id) {
    var methods = (0, _reactHookForm.useForm)();
    var _useState = (0, _react.useState)(),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      confirmation = _useState2[0],
      setConfirmation = _useState2[1];
    var onSubmit = function onSubmit(values) {
      var data = Object.assign(values, {
        formId: id
      });
      _axios["default"].post('/api/forms/', data).then(function (res) {
        var _res$data, _res$data$form;
        if ((_res$data = res.data) !== null && _res$data !== void 0 && (_res$data$form = _res$data.form) !== null && _res$data$form !== void 0 && _res$data$form.confirmationMessage) {
          setConfirmation(res.data.form.confirmationMessage);
        } else {
          setConfirmation('Sorry, something went wrong, please try again or contact support@lawcentres.org.uk');
        }
      });
    };
    return /*#__PURE__*/_react["default"].createElement(_react2.Box, {
      maxW: "xl",
      px: "0",
      mb: "5"
    }, methods.formState.isSubmitSuccessful && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
      textAlign: "left"
    }, confirmation && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
      mb: "5"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Heading, {
      color: "gray.700",
      mb: "5",
      size: "md",
      fontWeight: "800"
    }, "Form submitted"), /*#__PURE__*/_react["default"].createElement(ReactMarkdown // eslint-disable-line
    , {
      components: {
        a: function a(_ref // eslint-disable-line
        ) {
          var node = _ref.node,
            props = (0, _objectWithoutProperties2["default"])(_ref, _excluded);
          return /*#__PURE__*/_react["default"].createElement(_react2.Link, (0, _extends2["default"])({
            color: "brand.Green"
          }, props), props.children);
        },
        p: function p(_ref2 // eslint-disable-line
        ) {
          var node = _ref2.node,
            props = (0, _objectWithoutProperties2["default"])(_ref2, _excluded2);
          return /*#__PURE__*/_react["default"].createElement(_react2.Text, (0, _extends2["default"])({
            color: "gray.700",
            mb: "3"
          }, props), props.children);
        }
      }
    }, "children=", confirmation)), /*#__PURE__*/_react["default"].createElement(_react2.Button, {
      variant: "simple",
      leftIcon: /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.ChakraAwesome, {
        icon: "arrow-left"
      })
      // eslint-disable-next-line
      ,
      onClick: function onClick(e) {
        methods.reset();
        setConfirmation('');
      }
    }, "Back")), !confirmation && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_react2.Heading, {
      color: "gray.700",
      mb: "3",
      size: "md",
      fontWeight: "800"
    }, "Sending..."), /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.ChakraAwesome, {
      mb: "0",
      color: "brand.Green",
      size: "3x",
      spin: true,
      icon: "spinner"
    })))), !methods.formState.isSubmitSuccessful && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_react2.Heading, {
      color: "gray.700",
      mb: "7",
      size: "md",
      fontWeight: "800"
    }, content.title), /*#__PURE__*/_react["default"].createElement(_reactHookForm.FormProvider, methods, /*#__PURE__*/_react["default"].createElement("form", {
      onSubmit: methods.handleSubmit(onSubmit)
    }, /*#__PURE__*/_react["default"].createElement(_react2.Box, {
      mb: "5"
    }, /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.DFormSchema, {
      useForm: methods,
      schema: content.fields
    })), /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.DActions, null)))));
  },
  componentgrid: function componentgrid(content) {
    return /*#__PURE__*/_react["default"].createElement(_react2.SimpleGrid, {
      columns: [1, null, "".concat(content.columns)],
      autoRows: "max-content",
      spacing: "10"
    }, /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, content.components.map(function (component, key) {
      return /*#__PURE__*/_react["default"].createElement(_react2.Box, {
        key: key
      }, renderComponent(component));
    })));
  },
  componentcontainer: function componentcontainer(content) {
    var isColumn = content.orientation === 'column';
    var isRow = content.orientation === 'row';
    var isLeftAlignment = content.alignment === 'start';
    var isRightAlignment = content.alignment === 'end';
    var alignItemsValue = isColumn ? isLeftAlignment ? 'flex-start' : isRightAlignment ? 'flex-end' : 'center' : 'flex-start';
    var justifyContentValue = isRow ? isLeftAlignment ? 'flex-start' : isRightAlignment ? 'flex-end' : 'center' : 'flex-start';
    return /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
      flexDirection: content.orientation,
      maxWidth: "1250px",
      width: "100%",
      alignItems: alignItemsValue,
      justifyContent: justifyContentValue,
      flexWrap: "wrap",
      columnGap: "5.25rem",
      rowGap: "3.5rem",
      mb: "2rem"
    }, content.components.map(function (component, index) {
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, {
        key: index
      }, renderComponent(component));
    }));
  },
  componentcontaineritem: function componentcontaineritem(content) {
    var isColumn = content.orientation === 'column';
    var isRow = content.orientation === 'row';
    var isLeftAlignment = content.alignment === 'start';
    var isRightAlignment = content.alignment === 'end';
    var widthValue = content.width === 'Narrow' ? '350px' : content.width === 'Moderate' ? '500px' : content.width === 'Large' ? '715px' : '100%';
    var alignItemsValue = isColumn ? isLeftAlignment ? 'flex-start' : isRightAlignment ? 'flex-end' : 'center' : 'flex-start';
    var justifyContentValue = isRow ? isLeftAlignment ? 'flex-start' : isRightAlignment ? 'flex-end' : 'center' : 'flex-start';
    return /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
      flexDirection: content.orientation,
      maxWidth: widthValue,
      width: "100%",
      alignItems: alignItemsValue,
      justifyContent: justifyContentValue,
      flexWrap: "wrap",
      gap: "3.5rem",
      mb: "2rem"
    }, content.components.map(function (component, index) {
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, {
        key: index
      }, renderComponent(component));
    }));
  },
  componentimage: function componentimage(content) {
    return /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Image, {
      src: 'https:' + content.src.fields.file.url,
      alt: content.description
    });
  },
  containerhighlight: function containerhighlight(content) {
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, content.typeOfSection === 'Regular' && /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Section, {
      pt: "10rem",
      color: "brand.".concat(content.textColour),
      backgroundColor: "brand.".concat(content.backgroundColour)
    }, /*#__PURE__*/_react["default"].createElement(_react2.Container, {
      maxW: "1250px",
      pb: "150px"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Stack, {
      spacing: "25px"
    }, content.components.map(function (component, key) {
      return renderComponent(component, key);
    })))), content.typeOfSection === 'Angular Right' && /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.ExtendedSectionRight, {
      color: "brand.".concat(content.textColour),
      backgroundColor: "brand.".concat(content.backgroundColour),
      pt: "5rem"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Container, {
      maxW: "1250px",
      pb: "250px"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Stack, {
      spacing: "25px"
    }, content.components.map(function (component, key) {
      return renderComponent(component, key);
    })))), content.typeOfSection === 'Angular Left' && /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.ExtendedSectionLeft, {
      color: "brand.".concat(content.textColour),
      backgroundColor: "brand.".concat(content.backgroundColour),
      pt: "3rem"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Container, {
      maxW: "1250px"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Stack, {
      spacing: "25px"
    }, content.components.map(function (component, key) {
      return renderComponent(component, key);
    })))), content.typeOfSection === 'Slanted' && /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.SlantedSectionTop, {
      color: "brand.".concat(content.textColour),
      backgroundColor: "brand.".concat(content.backgroundColour)
    }, /*#__PURE__*/_react["default"].createElement(_react2.Container, {
      maxW: "1250px",
      pb: "250px"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Stack, {
      spacing: "25px"
    }, content.components.map(function (component, key) {
      return renderComponent(component, key);
    })))));
  },
  componentpageheader: function componentpageheader(content) {
    var _content$heroImage, _content$heroImage$fi, _content$heroImage$fi2;
    return /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Hero, {
      heading: content.heading,
      backgroundColour: "brand.".concat(content.heroBackgroundColour),
      textColour: "brand.".concat(content.textColour),
      pageTitle: content.pageTitle,
      subHeading: content.subHeading,
      image: (_content$heroImage = content.heroImage) === null || _content$heroImage === void 0 ? void 0 : (_content$heroImage$fi = _content$heroImage.fields) === null || _content$heroImage$fi === void 0 ? void 0 : (_content$heroImage$fi2 = _content$heroImage$fi.file) === null || _content$heroImage$fi2 === void 0 ? void 0 : _content$heroImage$fi2.url,
      imageAlt: content.imageAlt
    });
  },
  componenthomepagehero: function componenthomepagehero(content) {
    return /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.HomepageHero, {
      heading: content.heading,
      subHeading: content.subHeading,
      introduction: content.introduction,
      callToAction: content === null || content === void 0 ? void 0 : content.callToActionButton,
      callToActionLink: "/".concat(content === null || content === void 0 ? void 0 : content.callToActionLink.fields.slug),
      heroImage: 'https:' + content.heroImage.fields.file.url,
      heroImageAltText: content.heroImage.fields.file.description,
      headingBackground: content.headingBackground.fields.file.url
    });
  },
  componentrichtext: function componentrichtext(content) {
    var context = 'light';
    return /*#__PURE__*/_react["default"].createElement(_react2.Box, {
      pt: "2"
    }, content && (0, _richTextReactRenderer.documentToReactComponents)(content.content, (0, _renderRichText["default"])(context)));
  },
  componentfeature: function componentfeature(content) {
    return /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Feature, {
      featureItems: content.components,
      textColor: "brand.".concat(content.textColour)
    });
  },
  componentbutton: function componentbutton(content) {
    var contentType = content === null || content === void 0 ? void 0 : content.link.sys.contentType.sys.id;
    var linkSlug = content === null || content === void 0 ? void 0 : content.link.fields.slug;
    var slug;
    if (contentType === 'pageSimple') {
      if (linkSlug === 'news') {
        slug = "/".concat(linkSlug);
      } else {
        slug = "news/".concat(linkSlug);
      }
    } else {
      slug = "/".concat(linkSlug);
    }
    return /*#__PURE__*/_react["default"].createElement(_react2.Button, {
      variant: content === null || content === void 0 ? void 0 : content.variant,
      size: content === null || content === void 0 ? void 0 : content.size,
      colorScheme: content === null || content === void 0 ? void 0 : content.colorScheme,
      href: slug,
      as: "a",
      textDecoration: "none"
    }, content === null || content === void 0 ? void 0 : content.buttonText);
  },
  componentcallout: function componentcallout(content) {
    return /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Callout, {
      backgroundColor: "brand.".concat(content.backgroundColor) || 'brand.darkBlue',
      textColor: "brand.".concat(content.textColor) || 'brand.white.500',
      type: content.type
    }, content.components.map(function (component, key) {
      return /*#__PURE__*/_react["default"].createElement(_react2.Box, {
        key: key
      }, renderComponent(component));
    }));
  },
  componentcalltoaction: function componentcalltoaction(content) {
    return /*#__PURE__*/_react["default"].createElement(_react2.Container, {
      maxW: "1250px",
      py: "10rem"
    }, /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.CallToAction, {
      heading: content.heading,
      description: content.description,
      buttonText: content.buttonText,
      link: content.link
    }));
  },
  componentstatistic: function componentstatistic(content) {
    return /*#__PURE__*/_react["default"].createElement(_react2.Box, null, /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Statistic, {
      statisticOne: content.statisticOne,
      labelOne: content.labelOne,
      statisticTwo: content.statisticTwo,
      labelTwo: content.labelTwo,
      textColor: "brand.".concat(content.textColor)
    }));
  },
  codeembed: function codeembed(content) {
    return /*#__PURE__*/_react["default"].createElement(_react2.Box, {
      pb: "10",
      pt: "5"
    }, /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Embed, {
      code: content.embed
    }));
  },
  componentbanner: function componentbanner(content) {
    return /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Banner, {
      type: content.type,
      icon: content.type == 'alert' ? /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.ChakraAwesome, {
        icon: "triangle-exclamation"
      }) : /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.ChakraAwesome, {
        icon: "circle-info"
      }),
      text: content.text,
      link: content.link,
      linkText: content.linkText
    });
  },
  componentcard: function componentcard(content) {
    var _content$cardImage, _content$cardImage$fi, _content$cardImage$fi2, _content$cardImage2, _content$cardImage2$f, _content$cardImage2$f2, _content$cardImage3, _content$cardImage3$f;
    var cardProps = {
      title: content.label,
      image: (_content$cardImage = content.cardImage) !== null && _content$cardImage !== void 0 && (_content$cardImage$fi = _content$cardImage.fields) !== null && _content$cardImage$fi !== void 0 && (_content$cardImage$fi2 = _content$cardImage$fi.file) !== null && _content$cardImage$fi2 !== void 0 && _content$cardImage$fi2.url ? 'http:' + ((_content$cardImage2 = content.cardImage) === null || _content$cardImage2 === void 0 ? void 0 : (_content$cardImage2$f = _content$cardImage2.fields) === null || _content$cardImage2$f === void 0 ? void 0 : (_content$cardImage2$f2 = _content$cardImage2$f.file) === null || _content$cardImage2$f2 === void 0 ? void 0 : _content$cardImage2$f2.url) : '',
      alt: content === null || content === void 0 ? void 0 : (_content$cardImage3 = content.cardImage) === null || _content$cardImage3 === void 0 ? void 0 : (_content$cardImage3$f = _content$cardImage3.fields) === null || _content$cardImage3$f === void 0 ? void 0 : _content$cardImage3$f.title,
      link: content.link,
      body: content.cardBody,
      type: content.type,
      backgroundColor: "brand.".concat(content.backgroundColor) || 'brand.darkBlue',
      color: "brand.".concat(content.textColor) || 'brand.white.500',
      height: '100%'
    };
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, content.cardExtended ? /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.CardWithExtended, cardProps) : /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Card, cardProps));
  },
  componentsupportussection: function componentsupportussection(content) {
    var _useState3 = (0, _react.useState)(''),
      _useState4 = (0, _slicedToArray2["default"])(_useState3, 2),
      email = _useState4[0],
      setEmail = _useState4[1];
    var _useState5 = (0, _react.useState)('idle'),
      _useState6 = (0, _slicedToArray2["default"])(_useState5, 2),
      state = _useState6[0],
      setState = _useState6[1];
    var _useState7 = (0, _react.useState)(null),
      _useState8 = (0, _slicedToArray2["default"])(_useState7, 2),
      errorMsg = _useState8[0],
      setErrorMsg = _useState8[1];
    var subscribe = /*#__PURE__*/function () {
      var _ref3 = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(e) {
        var response;
        return _regenerator["default"].wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              e.preventDefault();
              setState('Loading');
              _context.prev = 2;
              _context.next = 5;
              return _axios["default"].post('/api/actions/subscribe', {
                email: email
              });
            case 5:
              response = _context.sent;
              setState('Success');
              setEmail('');
              return _context.abrupt("return", response);
            case 11:
              _context.prev = 11;
              _context.t0 = _context["catch"](2);
              console.log(_context.t0.response.data.error);
              setErrorMsg(_context.t0.response.data.error);
              setState('Error');
            case 16:
            case "end":
              return _context.stop();
          }
        }, _callee, null, [[2, 11]]);
      }));
      return function subscribe(_x) {
        return _ref3.apply(this, arguments);
      };
    }();
    return /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
      as: "section",
      width: "100%",
      flexWrap: "wrap"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
      flexBasis: "750px",
      bg: "brand.legacyTeal",
      flexGrow: "1",
      alignItems: "flex-start",
      justifyContent: {
        base: 'center',
        xl: 'flex-end'
      }
    }, /*#__PURE__*/_react["default"].createElement(_react2.Stack, {
      maxWidth: "750px",
      spacing: "1rem",
      paddingInlineStart: "1rem",
      marginInlineStart: "auto",
      py: "4rem",
      pr: "2rem"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
      color: "brand.white.500",
      fontSize: {
        base: '2xs',
        xl: 'xl'
      }
    }, content.callToActionText), /*#__PURE__*/_react["default"].createElement(_react2.Button, null, " ", content.callToActionButton))), /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
      flexBasis: "500px",
      flexGrow: "1",
      alignItems: "flex-start",
      bg: "brand.brightTeal",
      justifyContent: "flex-start"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Stack, {
      maxWidth: "500px",
      spacing: "1rem",
      marginInlineEnd: "auto",
      paddingInlineEnd: "1rem",
      py: "4rem",
      pl: "2rem"
    }, /*#__PURE__*/_react["default"].createElement(_react2.Text, null, content.subscribeToNewsletterText), /*#__PURE__*/_react["default"].createElement(_react2.Stack, {
      width: "100%",
      as: "form",
      spacing: "25px"
    }, /*#__PURE__*/_react["default"].createElement(_react2.FormControl, null, /*#__PURE__*/_react["default"].createElement(_react2.FormLabel, null, "Your email"), /*#__PURE__*/_react["default"].createElement(_react2.Input, {
      type: "email",
      name: "email",
      value: email,
      onChange: function onChange(e) {
        return setEmail(e.target.value);
      }
    })), /*#__PURE__*/_react["default"].createElement(_react2.Button, {
      as: "a",
      href: "https://www.google.com",
      size: "short",
      disabled: state === 'Loading',
      type: "submit",
      variant: "outline",
      colorScheme: "brand.darkBlue",
      onClick: subscribe
    }, "Sign up"), state === 'Error' && /*#__PURE__*/_react["default"].createElement(_react2.Text, null, errorMsg), state === 'Success' && /*#__PURE__*/_react["default"].createElement(_react2.Text, null, "You've been subscribed!")))));
  },
  componentdownloadcard: function componentdownloadcard(content) {
    var _content$cardImage4, _content$cardImage4$f, _content$cardImage4$f2, _content$cardImage5, _content$cardImage5$f, _content$cardImage5$f2, _content$cardImage6, _content$cardImage6$f, _content$downloadFile, _content$downloadFile2, _content$downloadFile3, _content$downloadFile4, _content$downloadFile5;
    var cardProps = {
      title: content.label,
      image: (_content$cardImage4 = content.cardImage) !== null && _content$cardImage4 !== void 0 && (_content$cardImage4$f = _content$cardImage4.fields) !== null && _content$cardImage4$f !== void 0 && (_content$cardImage4$f2 = _content$cardImage4$f.file) !== null && _content$cardImage4$f2 !== void 0 && _content$cardImage4$f2.url ? 'http:' + ((_content$cardImage5 = content.cardImage) === null || _content$cardImage5 === void 0 ? void 0 : (_content$cardImage5$f = _content$cardImage5.fields) === null || _content$cardImage5$f === void 0 ? void 0 : (_content$cardImage5$f2 = _content$cardImage5$f.file) === null || _content$cardImage5$f2 === void 0 ? void 0 : _content$cardImage5$f2.url) : '',
      height: '100%',
      alt: content === null || content === void 0 ? void 0 : (_content$cardImage6 = content.cardImage) === null || _content$cardImage6 === void 0 ? void 0 : (_content$cardImage6$f = _content$cardImage6.fields) === null || _content$cardImage6$f === void 0 ? void 0 : _content$cardImage6$f.title,
      downloadFileURL: 'https:' + (content === null || content === void 0 ? void 0 : (_content$downloadFile = content.downloadFile) === null || _content$downloadFile === void 0 ? void 0 : (_content$downloadFile2 = _content$downloadFile.fields) === null || _content$downloadFile2 === void 0 ? void 0 : (_content$downloadFile3 = _content$downloadFile2.file) === null || _content$downloadFile3 === void 0 ? void 0 : _content$downloadFile3.url),
      downloadFileTitle: content === null || content === void 0 ? void 0 : (_content$downloadFile4 = content.downloadFile) === null || _content$downloadFile4 === void 0 ? void 0 : (_content$downloadFile5 = _content$downloadFile4.fields) === null || _content$downloadFile5 === void 0 ? void 0 : _content$downloadFile5.title,
      body: content.cardBody,
      type: content.type,
      backgroundColor: "brand.".concat(content.backgroundColor) || 'brand.darkBlue',
      color: "brand.".concat(content.textColor) || 'brand.white.500'
    };
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, content.cardExtended ? /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.CardWithExtended, cardProps) : /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Card, cardProps));
  },
  page: function page(content) {
    var _content$seo$fields$i, _content$seo$fields$i2, _content$seo$fields$i3;
    return /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.Card, {
      title: content.title,
      image: (_content$seo$fields$i = content.seo.fields.image) === null || _content$seo$fields$i === void 0 ? void 0 : (_content$seo$fields$i2 = _content$seo$fields$i.fields) === null || _content$seo$fields$i2 === void 0 ? void 0 : (_content$seo$fields$i3 = _content$seo$fields$i2.file) === null || _content$seo$fields$i3 === void 0 ? void 0 : _content$seo$fields$i3.url,
      link: content.slug
    }, /*#__PURE__*/_react["default"].createElement(_react2.Text, null, content.seo.fields.description));
  },
  patternlatestnews: function patternlatestnews(component, articles) {
    return /*#__PURE__*/_react["default"].createElement(_lawCentresDesignSystem.LatestNews, {
      articles: articles,
      backgroundColor: "brand.brightPink",
      cardBackgroundColor: "brand.brightTeal",
      headingColor: "brand.white.500",
      cardTextColor: "brand.darkBlue",
      backgroundImage: 'https:' + component.backgroundImage.fields.file.url
    });
  }
};
exports.ContentTypes = ContentTypes;
function renderComponent(component, articles) {
  var context = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'light';
  var type = component.__typename || component.sys.contentType.sys.id;
  var content = component.fields || component;
  var id = component.sys.id;
  try {
    var rendered = ContentTypes[type.toLowerCase()](content, articles, context, id);
    return rendered;
  } catch (err) {
    console.log("Can not render ".concat(type, ", ").concat(err));
  }
}